<?php 
  session_start();
?>

<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<title>富國水果行-3</title>
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
	<script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>	
	<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
	<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js" integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV" crossorigin="anonymous"></script>	
	<link rel="stylesheet" href="css\main.css">
	<link rel="stylesheet" href="css\cart.css">
	<link rel="stylesheet" href="css\login.css">
  <script src="js\main.js"></script>
  <script src="login\js\login.js"></script>
  <script src="login\js\logout.js"></script>
  <script src="login\js\registration.js"></script>
</head>
<body>
	<nav class="navbar navbar-expand-md">
		<a class="navbar-brand" href="index.html">富國水果行</a>
		<button class="navbar-toggler navbar-dark" type="button" data-toggle="collapse" data-target="#main-navigation">
		  <span class="navbar-toggler-icon"></span>
		</button>
		<div class="collapse navbar-collapse" id="main-navigation">
		  <ul class="navbar-nav">
			<li class="nav-item"><a class="nav-link" href="index.php">本土水果</a></li>
			<li class="nav-item"><a class="nav-link" href="index2.php">進口水果</a></li>			
			<li class="nav-item" id="li-userName"><span id="uname" class="nav-link"></span></li>
      <li class="nav-item" id="li-login"><a class="nav-link" href="#loginModal" data-toggle="modal" data-target="#loginModal">登入</a></li>
      <li class="nav-item" id="li-register"><a class="nav-link" href="#registerModal" data-toggle="modal" data-target="#registerModal">註冊會員</a></li>
      <li class="nav-item" id="li-logout"><a class="nav-link" href="#">登出</a></li>			
		  </ul>
		</div>
	</nav>	
	<header class="page-header header container-fluid">
		<div class="overlay">
			<div class="description">
				<h3>歡迎來到<br>富國水果行總部!</h3>
				<h5>富國水果行總部成立於2020年10月，由弘光科技大學資訊管理系教師陳富國成立，總部位於台灣台中沙鹿弘光科技大學。富國水果行什麼都賣，什麼都不奇怪！</h5>
				<button class="btn btn-outline-primary">請不吝告知您的想法！</button>     			
			  </div>			  
		</div>
	</header>	
<!-- 會員登入對話方塊 -->
<div class="modal fade" id="loginModal" role="dialog" tabindex="-1">
  <div class="modal-dialog modal-lg">
    <div class="modal-content">
      <div class="modal-header">
        <h4 class="modal-title">富國水果王會員登入</h4>
        <button type="button" class="close" data-dismiss="modal">&times;</button>
      </div>
      <div class="modal-body login-register">
        <form class="form" method="post" action="#">
            <!-- <h2>使用jQuery實現登入系統</h2> -->
          <label>Email :</label>
          <input type="text" name="demail" id="email-login">
          <label>密碼 :</label>
          <input type="password" name="password" id="password-login">          
          <button type="button" class="btn btn-block" name="login" id="login">登入</button>
          <button type="button" class="btn btn-block" data-dismiss="modal">Close</button>
        </form>
      </div>
      
    </div>
  </div>
</div>

  <!-- 會員註冊對話方塊 -->
  <div class="modal fade" id="registerModal" role="dialog" tabindex="-1">
    <div class="modal-dialog modal-lg">
      <div class="modal-content">
        <div class="modal-header">
          <h4 class="modal-title">富國水果王會員註冊</h4>
          <button type="button" class="close" data-dismiss="modal">&times;</button>
        </div>
        <div class="modal-body login-register">
          <form class="form" method="post" action="#">
            <label>姓名 :</label>
            <input type="text" name="dname" id="name">
            <label>Email :</label>
            <input type="text" name="demail" id="email-register">
            <label>密碼 :</label>
            <input type="password" name="password" id="password-register">
            <label>再次確認密碼 :</label>
            <input type="password" name="cpassword" id="cpassword">
            <!-- <input type="button" name="register" id="register" value="Register"> -->
            <input type="button" class="btn btn-block" name="register" id="register" value="註冊" name="">
						<button type="button" class="btn btn-block " data-dismiss="modal">Close</button>
          </form>
        </div>
      </div>
    </div>
  </div>

  <script>
  function login_navbar(){ //登入後，處理導覽列登入、登出等相關顯示與關閉
    $('#li-userName').show();
    $('#uname').html(userName); //innerHTML
    $('#li-logout').show();
    $('#li-login').hide();
    $('#li-register').hide();
  }

  function logout_navbar(){
    $('#li-logout').hide();
    $('#li-login').show();
    $('#li-register').show();
    $('#li-userName').hide();
  }

  var userName = "<?php if (isset($_SESSION['userName'])) {
        echo $_SESSION['userName'];}?>";
  if (userName !== "") { //如果userName有值的話
    login_navbar(); //導覽列切為使用者名稱形式
  } else {
    logout_navbar();	 //導覽列切為登入形式
  }	

</script>